Bug 13134 - /usr/sbin/mtr still suid-root
Summary: /usr/sbin/mtr still suid-root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mtr   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-27 22:37 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-06 06:18:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-06-27 22:37:16 UTC
For security reasons, the suid-bit was removed from
/usr/X11R6/bin/xmtr
This was because it's unacceptable to link privileged things to the X
libraries.
/usr/sbin/mtr remains suid-root. This is a mistake because IT TOO IS LINKED
TO THE X LIBRARIES!!! MTR AND XMTR ARE IN FACT THE SAME BINARIES. I checked
with diff :-)
[Note: it's also linked to libncurses, something we should also be wary of]

Comment 1 Jeremy Katz 2000-07-06 06:18:18 UTC
still true in beta3

Comment 2 Bill Nottingham 2000-07-06 21:34:50 UTC
Fixed in mtr-0.42-4. Also, the version in /usr/sbin is now no longer
linked against gtk.


Note You need to log in before you can comment on or make changes to this bug.